> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1ldapprovidersave



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Authentication//swagger/v1/swagger.json post /api/v1/LdapProvider/Save
openapi: 3.0.0
info:
  title: NDS.Services.Authentication
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Authentication/
security: []
paths:
  /api/v1/LdapProvider/Save:
    post:
      tags:
        - LdapProvider
      operationId: LdapProvider_SaveConnection
      requestBody:
        x-name: registerDomainRequest
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveConnectionRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SaveConnectionResult'
components:
  schemas:
    SaveConnectionRequest:
      type: object
      additionalProperties: false
      properties:
        ConnectionId:
          type: string
          nullable: true
        Hostname:
          type: string
          nullable: true
        UseSSL:
          type: boolean
        Port:
          type: integer
          format: int32
          nullable: true
        Username:
          type: string
          nullable: true
        Password:
          type: string
          nullable: true
        SkipValidation:
          type: boolean
    SaveConnectionResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            ConnectionId:
              type: string
              nullable: true
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````